%define release	4
%define major 0
%define develname %mklibname -d qb
%define libname	%mklibname qb %major


Name:           libqb
Version:        0.16.0
Release:        %mkrel %release
Summary:        Hight performance client server library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/asalkeld/libqb/wiki
Source0:        https://fedorahosted.org/releases/q/u/quarterback/libqb-%{version}.tar.gz

BuildRequires:  autoconf 
BuildRequires:  automake 
BuildRequires:  libtool 
BuildRequires:  doxygen 
BuildRequires:  procps 
BuildRequires:  check-devel

%description
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.
The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.

%package -n %{libname}
Group:          System/Libraries
Summary:        Hight performance client server library
%description -n %{libname}
libqb is a library with the primary purpose of providing high performance
client server reusable features. It provides high performance logging,
tracing, ipc, and poll.
The initial features of libqb comes from the features of corosync that
were thought to useful to other projects.


%package -n %{develname}
Group:		Development/C
Summary:	Development files for libqb
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}

%prep
%setup -q -n libqb-%{version}

%build
./autogen.sh
%configure --disable-static 
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT/%{_docdir}/*

%files -n %{libname}
%doc COPYING
%{_libdir}/libqb.so.%{major}*

%files -n %{develname}
%doc README.markdown ChangeLog
%{_sbindir}/qb-blackbox
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*3*
%{_mandir}/man8/qb-blackbox*



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.16.0-4.mga5
+ Revision: 739951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.0-3.mga5
+ Revision: 681731
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.16.0-2.mga4
+ Revision: 536939
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 boklm <boklm> 0.16.0-1.mga4
+ Revision: 485978
- Version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.14.3-2.mga3
+ Revision: 358028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 ennael <ennael> 0.14.3-1.mga3
+ Revision: 343933
- new version 0.14.3

* Tue Apr 10 2012 boklm <boklm> 0.11.1-1.mga2
+ Revision: 230128
- fix release tag
- fix package names
- update description
- version 0.11.1
- imported package libqb


* Thu Feb 09 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 0.10.0-0
+ Revision: 772333
- new upstream version

* Wed Jan 11 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 0.8.1-1.14
+ Revision: 759702
- New upstream release: updated to 0.8.1

* Wed Dec 14 2011 Anton Kirilenko <anton.kirilenko@rosalab.ru> 0.7.0-1.13
+ Revision: 741160
- Initial package
- Created package structure for libqb.

